> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reschedule Exam Session

> Changes the scheduled date/time for an existing exam session.<br/><br/>The auth token is passed for proctor reassignment and auditing.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json put /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}:
    put:
      tags:
        - Exam Session
      summary: Reschedule Exam Session
      description: >-
        Changes the scheduled date/time for an existing exam
        session.<br/><br/>The auth token is passed for proctor reassignment and
        auditing.
      operationId: putV1InstallsInstallsidExamsExamsidSessionsSessionsid
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: examSid
          in: path
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
          required: true
        - name: sessionSid
          in: path
          schema:
            type: string
            description: Exam Session Sid
            pattern: ^ES[a-f0-9]{32}$
          description: Exam Session Sid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RescheduleSession'
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    RescheduleSession:
      type: object
      description: Exam session reserve payload
      properties:
        type:
          $ref: '#/components/schemas/Model68'
        notes:
          type: string
          description: Notes regarding session
        appointmentStartDateTime:
          type: string
          description: The GMT timestamp when the session is to be started
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        appointmentEndDateTime:
          type: string
          description: The GMT timestamp when the session is to be end
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        company:
          type: string
          description: The company of the proctor, maps to proctor_company__c
        firstName:
          type: string
          description: The first name of the proctor, maps to proctor_first_name__c
        lastName:
          type: string
          description: The last name of the proctor, maps to proctor_last_name__c
        email:
          type: string
          description: The email address of the proctor, maps to proctor_email__c
          x-format:
            email: true
        phone:
          type: string
          description: The phone number for the proctor, maps to proctor_phone__c
        appointmentDateTime:
          type: string
          description: The appointment date/time. maps to appointment_date__c
          example: '1970-01-01T00:00:00.000Z'
          pattern: .*Z
          x-format:
            isoDate: true
        address1:
          type: string
          description: Ad-hoc proctor address line 1
        address2:
          type: string
          description: Ad-hoc proctor address line 2
        place:
          type: string
          description: Ad-hoc proctor place
        region:
          type: string
          description: Ad-hoc proctor region
        country:
          type: string
          description: Ad-hoc proctor country
        locationLatitude:
          type: string
          description: Ad-hoc proctor location latitude
        locationLongitude:
          type: string
          description: Ad-hoc proctor location longitude
        postalCode:
          type: string
          description: Ad-hoc proctor postal code
    Model68:
      type: string
      description: Type of the system
      enum:
        - b-virtual
        - ad-hoc
        - register-blast
        - proctoru
        - examity
        - smarter-scheduling
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````